package au.edu.uts.aip.optimistic;

import javax.ejb.*;

/**
 * This exception is thrown if the user attempts to update a record that has
 * been modified concurrently. In other words, this exception will be thrown if
 * one user reads a record, but another user then updates the record, then that
 * first user then updates the original record.
 * When the exception occurs, the transaction will be rolled back so that no 
 * changes are saved to the database.
 */
@ApplicationException(rollback = true)
public class ConcurrentChangeDetected extends Exception {
    
}
